SimpleModelTrainer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.SimpleModelTrainer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class SimpleModelTrainer

    java.lang.Object
      org.biojava.bio.dist.SimpleDistributionTrainerContext
          org.biojava.bio.dp.SimpleModelTrainer

All Implemented Interfaces:
  Serializable, DistributionTrainerContext, ModelTrainer

    public class SimpleModelTrainer

extends SimpleDistributionTrainerContext
implements ModelTrainer, Serializable

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Constructor Summary
`SimpleModelTrainer()`

Method Summary
`void` | `registerModel(MarkovModel model)` Registers an HMM with this trainer.

Methods inherited from class org.biojava.bio.dist.SimpleDistributionTrainerContext
`addCount, clearCounts, getCount, getNullModelWeight, getTrainer, registerDistribution, registerTrainer, setNullModelWeight, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.dist.DistributionTrainerContext
`addCount, clearCounts, getCount, getNullModelWeight, getTrainer, registerDistribution, registerTrainer, setNullModelWeight, train`

Constructor Detail

### SimpleModelTrainer

    public SimpleModelTrainer()

Method Detail

### registerModel

    public void registerModel(MarkovModel model)

  Description copied from interface: `ModelTrainer`
  Registers an HMM with this trainer.

  If the model has been already registered, then this method should do nothing. If it has not been registered, then this method should loop over every state in the model and register the Distribution returned by getWeight.

  Specified by:
    `registerModel` in interface `ModelTrainer`
  Parameters:
    `model` - the MarkovModel to train

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD